<div class="row">
	<!--Cliente lista-->
	<div class="col-sm-5">
		<div class="ibox">
			<div class="ibox-content">
				<!--Tools-->
				<div class="input-group">
					<div class="col-sm-5">
						<button type="button" id="unidades-nueva-btn" class="btn btn btn-primary"> <i class="fa fa-plus"></i> Nueva unidad</button>
					</div>
					<div class="col-sm-7">
						<input type="text" id="unidades-search-str" placeholder="Buscar unidad" class="input form-control">
					</div>
				</div>
				<!--List-->
				<div class="clients-list" id="unidades-lista-wrapper">
					<div class="table-responsive">
						<table class="table table-striped table-hover" id="unidades-lista-table">
							<tbody>
								<tr class="tr-loader">
									<td colspan="3"></td>
								</tr>
								<!--<tr>
									<td>
										<h4>Ronald Sifredo Amaya</h4>
										<small>Xypnos</small>
									</td>
									<td class="contact-type"><i class="fa fa-phone"> </i></td>
									<td> 7908-7100</td>
								</tr>-->
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!--Cliente detalles-->
	<div class="col-sm-7">
		<div class="ibox">
			<div class="ibox-content">
				<!--<span class="m-r-sm text-muted welcome-message">Seleccione un unidad para ver su informaci&oacute;n</span>-->
				<div id="unidades-detalles-wrapper" class="p-sm">
					<div id="unidades-detalles-info-wrapper" class="lista-detalles-info-wrapper">
						<i class="fa fa-chevron-circle-left fa-5x"></i>
						<small>Seleccione una unidad de la lista para ver detalles.</small>
					</div>
					
					<div id="unidades-detalles-ajax-wrapper">
					</div>
					
				</div>
			</div>
		</div>
	</div>
</div>
<script>
$(function(){
	 $("#unidades-nueva-btn").click(function(){
		Custombox.open({
			target:'<?php echo base_url("productos/nueva_unidad");?>?mode=create', 
			effect: 'fadein',
			overlayClose:false,
			complete:function(){
				$(".modal-body input:text").first().focus();
			}
		});
	});
	
	unidades.setUrl('<?php echo base_url();?>');
	unidades.cargarHTML(true,0);
	/*scroll*/
	$('#unidades-lista-wrapper').slimScroll({
        height: '500px'
	});
	$('#unidades-detalles-wrapper').slimScroll({
        height: '530px'
	});
	/*Load more*/
	$("#unidades-lista-wrapper").slimScroll().bind('slimscroll', function(e, position){
		if(position==='bottom'){
			unidades.cargarHTML(false,$("#unidades-lista-table tbody tr").size()-1);
		}
	});
	/*Search*/
	$("#unidades-search-str").keyup(function(){
		unidades.cargarHTML(true,0);
	}); 
	/*load details*/
	$("#unidades-lista-table").on("click","tbody tr:not(.tr-loader)",function(){
		unidades.detalles(($(this).attr('id').split('-')[1]));
	});
});
</script>